"use strict";
require("tslib");
var browser_1 = require("js-split-file/browser");
var splitFile = new browser_1.SplitFile();
function blobToUInt8Array(blob, next) {
    var fileReader = new FileReader();
    fileReader.onload = function () {
        next(new Uint8Array(fileReader.result));
    };
    fileReader.readAsArrayBuffer(blob);
}
onmessage = function (e) {
    var message = e.data;
    var startTime = Date.now();
    if (message.kind === "split file") {
        blobToUInt8Array(message.file, function (uint8Array) {
            var blocks = splitFile.split(uint8Array, message.fileName);
            console.log("cost " + (Date.now() - startTime) / 1000.0 + " s");
            var result = {
                kind: "split file result",
                blocks: blocks,
            };
            postMessage(result, undefined);
        });
    }
};
//# sourceMappingURL=worker.js.map